### Method

# Gtk IconViewset_selection_mode

deprecated: 4.10

#### Declaration [src]

    void
    gtk_icon_view_set_selection_mode (
      GtkIconView* icon_view,
      GtkSelectionMode mode
    )

#### Description [src]

Sets the selection mode of the `icon_view`.

Deprecated since: 4.10

Use `GtkGridView` instead.

Sets property | `Gtk.IconView:selection-mode`

#### Parameters

`mode`

  Type: `GtkSelectionMode`

  The selection mode.